#
# spec file for package yast2-tftp-server
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-tftp-server
Summary:        YaST2 - TFTP Server Configuration
License:        GPL-2.0-or-later
Group:          System/YaST
Version:        4.5.0
Release:        150500.1.1
URL:            https://github.com/yast/yast-tftp-server

Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  augeas-lenses
BuildRequires:  update-desktop-files
BuildRequires:  yast2-devtools >= 4.2.2
# Yast2::Systemd::Service
BuildRequires:  yast2 >= 4.1.3
BuildRequires:  rubygem(%rb_default_ruby_abi:cfa)
BuildRequires:  rubygem(%rb_default_ruby_abi:rspec)
BuildRequires:  rubygem(%rb_default_ruby_abi:yast-rake)

# Yast2::Systemd::Service
Requires:       yast2 >= 4.1.3
# Namespace Y2Journal
Requires:       augeas-lenses
Requires:       lsof
Requires:       yast2-journal >= 4.1.1
Requires:       yast2-ruby-bindings >= 1.0.0
Requires:       rubygem(%rb_default_ruby_abi:cfa)

Supplements:    autoyast(tftp-server)

BuildArch:      noarch

%description
The YaST2 component for configuring a TFTP server. TFTP stands for
Trivial File Transfer Protocol. It is used for booting over the
network.

%prep
%setup -q

%check
%yast_check

%build

%install
%yast_install
%yast_metainfo

%files
%{yast_yncludedir}
%{yast_clientdir}
%{yast_moduledir}
%{yast_libdir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_schemadir}
%{yast_icondir}
%doc %{yast_docdir}
%license COPYING

%changelog
* Wed Apr  6 2022 lslezak@suse.cz
- Bump version to 4.5.0 (bsc#1198109)
* Tue Apr 20 2021 lslezak@suse.cz
- 4.4.0 (bsc#1185510)
* Mon Aug 10 2020 schubi@suse.de
- AutoYaST: Added supplements: autoyast(tftp-server) into the spec file
  in order to install this packages if the section has been defined
  in the AY configuration file (bsc#1146494).
- 4.3.1
* Wed May 13 2020 jreidinger@suse.com
- Autoyast schema: Allow optional types for string and map objects
  (bsc#1170886)
- 4.3.0
* Fri May 31 2019 hellcp@mailbox.org
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Mon Feb  4 2019 schubi@suse.de
- Added X-SuSE-YaST-AutoInstSchema to desktop file (bsc#1123830).
- 4.1.7
* Fri Dec 28 2018 schubi@suse.de
- Added tftp-server.rnc schema file (bsc#1108199).
- 4.1.6
* Mon Nov 26 2018 noahadvs@gmail.com
- Provide icon with module (boo#1109310)
- 4.1.5
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Fri Aug 24 2018 jlopez@suse.com
- Use new Yast2::ServiceWidget to manage the service status
  (part of fate#319428).
- 4.1.4
* Thu Aug 23 2018 dgonzalez@suse.com
- Update calls to YaST2 systemd classes (related to fate#319428)
- 4.1.3
* Wed Aug 22 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Wed Jun 27 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- 4.1.2
* Tue Jun 26 2018 jlopez@suse.com
- Adapt code to use new namespace Y2Journal
  (needed for fate#319428).
- 4.1.1
* Tue Jun 19 2018 jreidinger@suse.com
- Use yast2-journal to read logs from journal (bsc#1008493)
- 4.1.0
* Thu Apr  5 2018 jreidinger@suse.com
- do not report error when cloning without tftp installed
  (bsc#1081688)
- 4.0.2
* Tue Feb 13 2018 schubi@suse.de
- Merging changed settings with already existing configuration.
  (bnc#1080557)
- 4.0.1
* Fri Feb  2 2018 jreidinger@suse.com
- switch from xinetd to systemd socket activation (fate#323373)
- switch from SuSEFirewall to firewalld (fate#323460)
- 4.0.0
* Thu Jun  9 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.3
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- 3.1.2
* Tue Apr  1 2014 locilka@suse.com
- Testsuite adjusted to the new Systemd/Service library
- 3.1.1
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Mon May 13 2013 mvidner@suse.com
- adjust tests to changes in yast2-2.23.23 (for bnc#807507)
- 2.22.3
* Mon Jan  7 2013 locilka@suse.com
- Testsuite adapted to switching Service module to systemd
  (yast2-2.23.15)
- Testsuite adapted to merging SuSEfirewall2_* scripts into one
  (yast2-2.23.17)
- 2.22.2
* Thu Mar 29 2012 jsuchome@suse.cz
- merge proofread texts
* Fri Nov 25 2011 locilka@suse.cz
- Fixed firewall service name (bnc#729793)
- Adapted RPM build requirements
- 2.22.1
* Thu Nov  3 2011 locilka@suse.cz
- Fixed testsuite
- 2.21.2
* Mon Sep 26 2011 visnov@suse.cz
- set dialog title
- 2.21.1
* Mon Sep 12 2011 lslezak@suse.cz
- updated testsuite (systemd support) (bnc#664548)
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Sat Sep  5 2009 mvidner@suse.cz
- Added X-SuSE-YaST-Keywords for the Qt4 control center.
- 2.18.0
* Fri Nov  7 2008 mvidner@suse.cz
- Adjusted dialog buttons according to YaST Style Guide
  (bnc#440541).
- 2.17.1
* Thu Oct  9 2008 jsuchome@suse.cz
- fixed failing testsuite (Service.ycp)
- 2.17.0
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
- 2.16.0
* Mon Nov 13 2006 jsrain@suse.cz
- 2.14.0
* Mon Sep 11 2006 mvidner@suse.cz
- Fixed Progress nesting (#202351).
- Using autodocs-ycp.ami (with parentheses for automake-1.9.6).
- Using Sequencer.ycp instead of deprecated sequencer.ycp.
- 2.13.4
* Tue Mar  7 2006 mvidner@suse.cz
- Converted neededforbuild to BuildRequires
  and removed yast2-devel-packages.
- 2.13.3
* Tue Jan 24 2006 mvidner@suse.cz
- Merged proofread messages.
- 2.13.2
* Mon Jan 16 2006 mvidner@suse.cz
- Again adjusted test cases for NetworkManager related changes (~#135595).
- 2.13.1
* Thu Jan  5 2006 mvidner@suse.cz
- Adjusted testsuite for changes in firewall code.
- 2.13.0
* Tue Nov 29 2005 mzugec@suse.cz
- feature #100125 - command line support
* Fri Aug 12 2005 mvidner@suse.cz
- Normalized help text (check_ycp).
- 2.12.2
* Tue Aug  9 2005 mvidner@suse.cz
- Texts proofread.
- TFTP is not FTP (#102946).
- 2.12.1
* Tue Aug  2 2005 locilka@suse.cz
- Adjusted for SUSE Linux 10.0
- 2.12.0
* Fri Feb 25 2005 visnov@suse.cz
- Implemented trivial command line interface
- 2.11.3
* Mon Jan 31 2005 mvidner@suse.cz
- Adjusted testsuite for changes in firewall (build fix).
- 2.11.2
* Mon Jan  3 2005 mvidner@suse.cz
- Adjusted for firewall's move to yast2.rpm.
- Using Progress::set.
- 2.11.1
* Wed Nov 10 2004 mvidner@suse.cz
- Updated to new Mode.
- Using Message.
- 2.11.0
* Wed Sep 15 2004 mvidner@suse.cz
- Use Package instead of Require.
- 2.10.6
* Tue Sep 14 2004 jsrain@suse.cz
- adapted testsuite to changes in yast2-firewall
- 2.10.5
* Mon Sep  6 2004 mvidner@suse.cz
- Adjusted testsuite to changes in yast2-firewall (#44650).
- 2.10.4
* Fri Sep  3 2004 mvidner@suse.cz
- Added GetModified, SetModified for autoyast (#43904).
- 2.10.3
* Fri Aug 27 2004 mvidner@suse.cz
- Use LogView to display the log as it grows.
- 2.10.2
* Mon Aug 23 2004 mvidner@suse.cz
- Added Open Firewall button.
- 2.10.1
* Thu Jun 17 2004 mvidner@suse.cz
- Added "testedfiles" to test cases to make it work with the new testsuite.
- Using Service instead of Runlevel.
- 2.10.0
* Fri Apr  2 2004 mvidner@suse.cz
- changed license to GPL
- 2.9.4
* Wed Mar 31 2004 mvidner@suse.cz
- fixed make check-syntax
- 2.9.3
* Sun Mar  7 2004 kkaempf@suse.de
- adapt testsuite
* Tue Feb 10 2004 msvec@suse.cz
- dropped y2cc config files
- 2.9.1
* Mon Feb  2 2004 msvec@suse.cz
- NI adaption
- 2.9.0
* Mon Sep 15 2003 jsrain@suse.de
- let yast modules in kcontrol work again (adrian@suse.de)
- 2.8.5
* Thu Sep  4 2003 nashif@suse.de
- Fixed #30098: Fixed to work with autoyast
- Use Require module
- 2.8.4
* Fri Aug 29 2003 jsrain@suse.de
- added .desktop file
- 2.8.3
* Tue Aug 26 2003 jsrain@suse.de
- updated _auto client
- updated ydoc comments
- 2.8.2
* Mon Aug 18 2003 jsrain@suse.de
- merged texts from proofread
- 2.8.1
* Fri Aug 15 2003 jsrain@suse.de
- 2.8.0
* Thu Jun 12 2003 mvidner@suse.cz
- initial version for abuild
- added log view popup
- 2.6.1
